import json from '@rollup/plugin-json';
import replace from '@rollup/plugin-replace';
import babel from '@rollup/plugin-babel';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import VuePlugin from 'rollup-plugin-vue'
import postcss from 'rollup-plugin-postcss'

export default {
    input: './src/index.js',
    output: {
        name: 'jbz-film-logic',
        file: './dist/bundle.js',
        format: 'umd'
    },
    plugins: [
        json(),
        resolve(),
        commonjs(),
        postcss({
            plugins: []
        }),
        VuePlugin(),
    ]
};