import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import json from '@rollup/plugin-json';
// import typescript from '@rollup/plugin-typescript';
import typescript from 'rollup-plugin-typescript';
// import sourcemaps from 'rollup-plugin-sourcemaps';

module.exports = () => {
    return {
        input: './src/index.ts',
        output: {
            sourcemap: true,
            name: 'jbz-film-logic',
            exports: 'named',
            globals: {
            },
            dir: './lib',
            format: 'cjs',
            paths: {
                '@': 'src'
            }
        },
        plugins: [
            json(),
            typescript(),
            resolve(),
            commonjs({ extensions: ['.ts'] }),
        ],
        external: ['uuid', 'deepmerge', 'lodash'],
    }
};