'use strict';
import './polyfill/Promise.any'
import { version } from '../package.json';
import HomeView from './packages/home-view/index';
import CinemaListView from './packages/cinema-list-view/index';

const VIEW_LOGIC = {
    HomeView,
    CinemaListView
};


const install = function(vue, config: any = {}) {
    const {networkConfig, geoConfig} = config;
    window.$jbzLogicConfig = vue.$jbzLogicConfig = vue.prototype.$jbzLogicConfig = {
        ...config,
    };
};

// if (typeof window !== 'undefined' && window.Vue) {
//     install(window.Vue);
// }

export function generateLogic(logicName, opt?) {
    if (VIEW_LOGIC.hasOwnProperty(logicName)){
        return VIEW_LOGIC[logicName].makeLogic(opt);
    }
    console.error(`没有找到Logic类: ${logicName}`)
}

export * from './packages/modules';
export default {
    install,
    version,
};
