import {LogicType, RequestSequenceType} from "@/variable/enum";
import RequestModel from "@/model/RequestModel";
import LocatorModel from "@/model/LocatorModel";
import {BaseComponent} from "@/packages/base";

export interface IMethodsOptions {
    requestType: String
    requestList: RequestModel[]
}

export interface IComponentOptions {
    logicOptions: IViewLogicOptions,
    variablesObj: {string?: any};
    computedVariableObj: {string?: Function};
}

export interface IBaseLogicOptions {
    type: LogicType
}

export interface IViewLogicOptions extends IBaseLogicOptions{
    requestListInspect?: (requests: RequestModel[]) => RequestModel[]
    requestSequence?: {
        type: RequestSequenceType,
        requestList: RequestModel[]
    }
}

export interface IViewLogicApplyOptions extends IBaseLogicOptions{
    requestSequence?: {
        type: RequestSequenceType,
        requestList: RequestModel[]
    }
}

export interface ILocationLogicDelegate{

}

export interface ILocationLogicOptions extends IBaseLogicOptions{
    locatorSequence: {
        delegate?: ILocationLogicDelegate,
        timeout: number,
        locatorList: LocatorModel[]
    }
}



export type IMethods<T extends BaseComponent = BaseComponent> = any & {options: IMethodsOptions, component: T}
