import {ILocationLogicOptions, IMethods} from "@/interface/IOptions";
import {BaseComponent, BaseLogic} from "../base";
import LocationManager from "@/util/LocationManager";
import {LocatorType, LogicType} from "@/variable/enum";

const Methods: IMethods<Component> = {
    _initData(context){
    },
};


class Component extends BaseComponent<ILocationLogicOptions>{
    public mounted(context) {
        const {locatorSequence: {timeout, locatorList}} = this.logicOptions;
        LocationManager.prepareManager();
        const manager = LocationManager.defaultManager();
        LocationManager.defaultManager().getLocation(locatorList, {timeout}).then(data => {
            console.log(data);
        });
    }

    public data(context){
        return {
        }
    }
}

const DEFAULT_OPTIONS: ILocationLogicOptions = {
    type: LogicType.MIXIN,
    locatorSequence: {
        timeout: 1000,
        locatorList: [{
            key: LocatorType.NATIVE,
        }, {
            key: LocatorType.BAIDU,
        }]
    },
};


class LocationLogic extends BaseLogic{
    static defaultOptions = DEFAULT_OPTIONS;
    static Component = Component;
    static Methods = Methods;
    constructor(opt) {
        super(opt);
    }

    static makeLogic<T>(opt?: ILocationLogicOptions){
        const logic = new this(opt);
        return {
            main: logic.createLogic()
        }
    }
}

export default LocationLogic;
