import {NAME} from "./Constant";
import {LocatorType} from "@/variable/enum";

const hasConfig = () => {
    return window.$jbzLogicConfig !== undefined;
};


const getConfig = () => {
    if (!hasConfig()){
        console.error(`未安装 ${NAME} 插件，请先安装本插件`);
        return null;
    }
    return window.$jbzLogicConfig;
};

let NETWORK_CONFIG = null;
export const getNetwork = (networkName?) => {
    if (NETWORK_CONFIG){
        if (NETWORK_CONFIG.hasOwnProperty(networkName)){
            return NETWORK_CONFIG[networkName]
        }
    }

    const jbzLogicConfig = getConfig();
    if (!jbzLogicConfig){
        return;
    }
    const networkConfig = jbzLogicConfig.networkConfig;
    if (!networkConfig){
        console.error('没有找到 networkConfig 配置项');
        return null;
    }

    NETWORK_CONFIG = networkConfig;

    if (networkConfig.hasOwnProperty(networkName)){
        return networkConfig[networkName]
    }
    console.error(`没有找到网络配置 ${networkName}`)
    return null;
};


export const getMapConfig: () => LocatorType[] = () => {
    const jbzLogicConfig = getConfig();
    if (!jbzLogicConfig){
        return;
    }
    const geoConfig = jbzLogicConfig.geoConfig;
    if (!geoConfig){
        console.error('没有找到 geoConfig 配置项');
        return null;
    }

    const {mapPlatforms} = geoConfig;
    if (!(Array.isArray(mapPlatforms) || typeof mapPlatforms === 'string')){
        console.error(`mapFrameworks 配置项格式错误`);
        return null;
    }
    return geoConfig
};

