/**
 * logic类型 目前仅使用 MIXIN，预留字段
 */
enum LogicType{
    MIXIN = 'mixin'
}

/**
 * 请求序列发送方式
 */
enum RequestSequenceType {
    /**
     * 一个接一个的发送, 当之前的请求收到数据后发送第二个请求
     */
    ONEBYONE = 'onebyone',
    /**
     * 同时发出请求，不限制数据返回顺序
     */
    CONCURRENCY = 'concurrency',
    /**
     * 同事发送请求，当收到所有请求的数据才返回
     */
    ALLSETTLED = 'allsettled'
}


/**
 * 单个请求的发送状态
 */
enum RequestStatus {
    /**
     * 初始化
     */
    INIT = 'init',
    /**
     * 已经发送但没有返回
     */
    HOLD = 'hold',
    /**
     * 已经收到数据
     */
    FINISH = 'finish',
}

enum LocatorType {
    BROWSER = 'browser',
    NATIVE = 'native',
    BAIDU = 'baidu',
    GAODE = 'gaode',
    TENCENT = 'tencent',
}

export {
    LogicType,
    RequestSequenceType,
    RequestStatus,
    LocatorType,
}
